Package uk.ac.starlink.votable.dom

## Class DelegatingCharacterData

- java.lang.Object
- - uk.ac.starlink.votable.dom.DelegatingNode
  - - uk.ac.starlink.votable.dom.DelegatingCharacterData

All Implemented Interfaces:
  `org.w3c.dom.CharacterData`, `org.w3c.dom.Node`

Direct Known Subclasses:
  `DelegatingComment`, `DelegatingText`

    public class DelegatingCharacterData
    extends DelegatingNode
    implements org.w3c.dom.CharacterData

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Constructor Summary

Constructors
`protected` `DelegatingCharacterData​(org.w3c.dom.CharacterData base, DelegatingDocument doc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appendData​(java.lang.String arg)`
`void` `deleteData​(int offset, int count)`
`java.lang.String` `getData()`
`int` `getLength()`
`void` `insertData​(int offset, java.lang.String arg)`
`void` `replaceData​(int offset, int count, java.lang.String arg)`
`void` `setData​(java.lang.String data)`
`java.lang.String` `substringData​(int offset, int count)`

### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingNode

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Constructor Detail

#### DelegatingCharacterData

    protected DelegatingCharacterData​(org.w3c.dom.CharacterData base,
                                      DelegatingDocument doc)

### Method Detail

#### getData

    public java.lang.String getData()

Specified by:
  `getData` in interface `org.w3c.dom.CharacterData`

#### setData

    public void setData​(java.lang.String data)

Specified by:
  `setData` in interface `org.w3c.dom.CharacterData`

#### getLength

    public int getLength()

Specified by:
  `getLength` in interface `org.w3c.dom.CharacterData`

#### substringData

    public java.lang.String substringData​(int offset,
                                          int count)

Specified by:
  `substringData` in interface `org.w3c.dom.CharacterData`

#### appendData

    public void appendData​(java.lang.String arg)

Specified by:
  `appendData` in interface `org.w3c.dom.CharacterData`

#### insertData

    public void insertData​(int offset,
                           java.lang.String arg)

Specified by:
  `insertData` in interface `org.w3c.dom.CharacterData`

#### deleteData

    public void deleteData​(int offset,
                           int count)

Specified by:
  `deleteData` in interface `org.w3c.dom.CharacterData`

#### replaceData

    public void replaceData​(int offset,
                            int count,
                            java.lang.String arg)

Specified by:
  `replaceData` in interface `org.w3c.dom.CharacterData`